## Class Utilitaires.Minuteur

- java.lang.Object
- - java.lang.Thread
  - - Utilitaires.Minuteur

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    Utilitaires

      public static class Utilitaires.Minuteur
      extends java.lang.Thread

  Utilitaire d'implantation d'un minuteur.
  Une fois configuré avec un temps d'exécution (en milli-secondes) via le champ t,
  puis lancé via la fonction run(),
  le champ booléen go conserve la valeur true pendant le temps t, puis passe à false.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `dt` La duree effective.
    `boolean` | `enCours` Le booléen qui, initialisé à true, passera à false.
    `int` | `temps` Le temps de commutation.
    `long` | `tf` Le temps final.
    `long` | `ti` Le temps initial.

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Minuteur()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lancement()` Fonction de lancement du minuteur.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### temps

          public int temps

      Le temps de commutation.

    - #### enCours

          public boolean enCours

      Le booléen qui, initialisé à true, passera à false.

    - #### ti

          public long ti

      Le temps initial.

    - #### tf

          public long tf

      Le temps final.

    - #### dt

          public long dt

      La duree effective.

  - ### Constructor Detail

    - #### Minuteur

          public Minuteur()

  - ### Method Detail

    - #### lancement

          public void lancement()

      Fonction de lancement du minuteur.

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`